Secure Messaging

Learning Center

Back to top

Search Results

Minimum System Requirements

All you need is an up-to-date web browser, an internet connection, and an existing email address.

Secure webmail / webapp:

  • Firefox 33+
  • Microsoft Internet Explorer 11 with TLS 1.0 enabled
  • Safari 5.17+
  • Google Chrome 39+

Secure email Outlook add-in:

  • Microsoft Windows 7/8/10+
  • MS .NET Framework 4.0+ (installed automatically)
  • Microsoft Office 2007, 2010, 2013 and 2016 / Office 365 with the latest service packs installed

Secure email desktop agents:

  • Microsoft Windows 7/8/10+
  • MS .NET Framework 4.0+ (installed automatically)
  • Apple OSX 10.6+

Secure email Google Chrome extension:

  • Chrome 39.0+

Secure email Mac app:

  • Yosemite+

Secure email Office 365 Webapp:

  • Microsoft Internet Explorer 11 with TLS 1.0 enabled

Secure email for mobile:

  • iOS: 7+
  • Android: 4+
  • Windows phone: 8+
  • Blackberry: 10+